Package com.explodingpixels.macwidgets

## Class SourceListCountBadgeRenderer

- java.lang.Object
- - com.explodingpixels.macwidgets.MacBadgeRenderer
  - - com.explodingpixels.macwidgets.SourceListCountBadgeRenderer

    public class SourceListCountBadgeRenderer
    extends MacBadgeRenderer

Renders a rounded rectangle (i.e. a badge) with a given number in the center of the rectangle.

### Field Summary

### Fields inherited from class com.explodingpixels.macwidgets.MacBadgeRenderer

`BADGE_FONT, fActiveUnselectedColor, fInactiveUnselectedColor, fLabel, fSelected, fSelectedColor, fTextColor`

### Constructor Summary

Constructors
`SourceListCountBadgeRenderer​(java.awt.Color selectedColor, java.awt.Color activeUnselectedColor, java.awt.Color inactiveUnselectedColor, java.awt.Color textColor)` Creates a badge renderer.

### Method Summary

### Methods inherited from class com.explodingpixels.macwidgets.MacBadgeRenderer

`getComponent, setState, setState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceListCountBadgeRenderer

    public SourceListCountBadgeRenderer​(java.awt.Color selectedColor,
                                        java.awt.Color activeUnselectedColor,
                                        java.awt.Color inactiveUnselectedColor,
                                        java.awt.Color textColor)

Creates a badge renderer.